define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "170002",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1540.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 760.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsDefault",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "5438",
            "shortName": "Панель закладок 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "460844",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 1520.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 670.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "4927",
                    "shortName": "Датчики 1- 10",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "460855",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 25.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "HorizontalAlign": {
                            "typeName": "HMI.HorizontalAlignType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 1000.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 1570.0,
                            "connections": [],
                            "metadata": null
                        },
                        "VerticalAlign": {
                            "typeName": "HMI.VerticalAlignType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "DockStyle": {
                            "typeName": "HMI.DockType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Датчики 1- 10",
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [
                        {
                            "typeName": "460576",
                            "shortName": "Окно с первыми 10ю датчиками 1",
                            "parameters": {
                                "Id": {
                                    "typeName": "INT",
                                    "value": "516605",
                                    "connections": [],
                                    "metadata": null
                                },
                                "SkinResource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Z": {
                                    "typeName": "DINT",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Resource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": null,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsVisible": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsEnabled": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "TabIndex": {
                                    "typeName": "DINT",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "X": {
                                    "typeName": "LREAL",
                                    "value": 10.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Y": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DockStyle": {
                                    "typeName": "HMI.DockType",
                                    "value": 3,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "VerticalAlign": {
                                    "typeName": "HMI.VerticalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "BackgroundTile": {
                                    "typeName": "HMI.TileType",
                                    "value": 2,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ShadowColor": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#F0F0F0",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ShadowSize": {
                                    "typeName": "DINT",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Flash": {
                                    "typeName": "BOOL",
                                    "value": false,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ToolTip": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderStyle": {
                                    "typeName": "HMI.BorderStyleType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Opacity": {
                                    "typeName": "LREAL",
                                    "value": 100.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "BackgroundColor": {
                                    "typeName": "HMI.GradientColorType",
                                    "value": "#F5F0F5",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderColor": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#808080",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderThickness": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ScaleY": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ScaleX": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Angle": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Height": {
                                    "typeName": "LREAL",
                                    "value": 600.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Width": {
                                    "typeName": "LREAL",
                                    "value": 1500.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "XType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "YType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "WidthType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HeightType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "events": [],
                            "triggers": [],
                            "actions": [],
                            "serverVariables": {
                                "getValues": [],
                                "setValues": []
                            },
                            "childModels": [],
                            "serviceParameters": null,
                            "objectId": 0,
                            "serverTaskId": -1,
                            "hasConnections": false,
                            "permissions": {},
                            "cssClass": "<div data-control-role='Window' data-control-id='516605'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; left: 10px; top: 0px; background-size: 100% 100%;background-color:#F5F0F5;height: 600px; width: 1500px; border: 1px solid #808080;' ></div>"
                        }
                    ],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='460855'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; left: 0px; top: 25px; height: 1000px; width: 1570px; ' ></div>"
                },
                {
                    "typeName": "4927",
                    "shortName": "Настройка датчиков",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "461004",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 1570.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 1000.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 25.0,
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Настройка датчиков",
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [
                        {
                            "typeName": "526515",
                            "shortName": "Окно настройки Комплекта системы 10 датчиков 1",
                            "parameters": {
                                "Id": {
                                    "typeName": "INT",
                                    "value": "527544",
                                    "connections": [],
                                    "metadata": null
                                },
                                "SkinResource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Z": {
                                    "typeName": "DINT",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Width": {
                                    "typeName": "LREAL",
                                    "value": 1500.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Height": {
                                    "typeName": "LREAL",
                                    "value": 600.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Resource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": null,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsVisible": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsEnabled": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "TabIndex": {
                                    "typeName": "DINT",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "X": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Y": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DockStyle": {
                                    "typeName": "HMI.DockType",
                                    "value": 3,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "VerticalAlign": {
                                    "typeName": "HMI.VerticalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "BackgroundTile": {
                                    "typeName": "HMI.TileType",
                                    "value": 2,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ShadowColor": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#F0F0F0",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ShadowSize": {
                                    "typeName": "DINT",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Flash": {
                                    "typeName": "BOOL",
                                    "value": false,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ToolTip": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderStyle": {
                                    "typeName": "HMI.BorderStyleType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Opacity": {
                                    "typeName": "LREAL",
                                    "value": 100.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "BackgroundColor": {
                                    "typeName": "HMI.GradientColorType",
                                    "value": "#F5F0F5",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderColor": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#808080",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderThickness": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ScaleY": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ScaleX": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Angle": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "XType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "YType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "WidthType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HeightType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "events": [],
                            "triggers": [],
                            "actions": [],
                            "serverVariables": {
                                "getValues": [],
                                "setValues": []
                            },
                            "childModels": [],
                            "serviceParameters": null,
                            "objectId": 0,
                            "serverTaskId": -1,
                            "hasConnections": false,
                            "permissions": {},
                            "cssClass": "<div data-control-role='Window' data-control-id='527544'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; width: 1500px; height: 600px; left: 0px; top: 0px; background-size: 100% 100%;background-color:#F5F0F5;border: 1px solid #808080;' ></div>"
                        }
                    ],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='461004'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 1570px; height: 1000px; left: 0px; top: 25px; ' ></div>"
                },
                {
                    "typeName": "4927",
                    "shortName": "Настройка Email",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "587002",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 1520.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 670.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 25.0,
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Настройка Email",
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [
                        {
                            "typeName": "577053",
                            "shortName": "Настройка емайл сообщений 1",
                            "parameters": {
                                "Id": {
                                    "typeName": "INT",
                                    "value": "587019",
                                    "connections": [],
                                    "metadata": null
                                },
                                "SkinResource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Z": {
                                    "typeName": "DINT",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Width": {
                                    "typeName": "LREAL",
                                    "value": 1340.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Height": {
                                    "typeName": "LREAL",
                                    "value": 610.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Resource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": null,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsVisible": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsEnabled": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "TabIndex": {
                                    "typeName": "DINT",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "X": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Y": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DockStyle": {
                                    "typeName": "HMI.DockType",
                                    "value": 3,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "VerticalAlign": {
                                    "typeName": "HMI.VerticalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "BackgroundTile": {
                                    "typeName": "HMI.TileType",
                                    "value": 2,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ShadowColor": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#F0F0F0",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ShadowSize": {
                                    "typeName": "DINT",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Flash": {
                                    "typeName": "BOOL",
                                    "value": false,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ToolTip": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderStyle": {
                                    "typeName": "HMI.BorderStyleType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Opacity": {
                                    "typeName": "LREAL",
                                    "value": 100.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "BackgroundColor": {
                                    "typeName": "HMI.GradientColorType",
                                    "value": "#F5F0F5",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderColor": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#808080",
                                    "connections": [],
                                    "metadata": null
                                },
                                "BorderThickness": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ScaleY": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "ScaleX": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Angle": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "XType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "YType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "WidthType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HeightType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "events": [],
                            "triggers": [],
                            "actions": [],
                            "serverVariables": {
                                "getValues": [],
                                "setValues": []
                            },
                            "childModels": [],
                            "serviceParameters": null,
                            "objectId": 0,
                            "serverTaskId": -1,
                            "hasConnections": false,
                            "permissions": {},
                            "cssClass": "<div data-control-role='Window' data-control-id='587019'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; width: 1340px; height: 610px; left: 0px; top: 0px; background-size: 100% 100%;background-color:#F5F0F5;border: 1px solid #808080;' ></div>"
                        }
                    ],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='587002'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 1520px; height: 670px; left: 0px; top: 25px; ' ></div>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6999",
            "shortName": "Кнопка 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "527637",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 180.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1030.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Настройка контроллера",
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontUnderlined": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "FontName": {
                    "typeName": "STRING",
                    "value": "Tahoma",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "IsPressed": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "527665"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "527665",
                    "type": "OpenUrl",
                    "constants": {
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "Address": {
                            "typeName": "STRING",
                            "value": "bolid_web_cfg/",
                            "connections": null,
                            "metadata": null
                        },
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<button data-control-role='Button' class='button clickable inputable'  data-control-id='527637'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 180px; height: 40px; left: 1030px; top: 20px; white-space:nowrap;' >Настройка контроллера</button>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "528002",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 260.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1250.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "КВТ-10 версия 1.21E001",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='528002'  tabindex='4'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 260px; height: 40px; left: 1250px; top: 20px; border: 1px solid black;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>КВТ-10 версия 1.21E001</div></label>"
        },
        {
            "typeName": "7713",
            "shortName": "ДатаВремя 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "547004",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 840.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "DateTime": {
                    "typeName": "DATE_AND_TIME",
                    "value": 0,
                    "connections": [
                        645,
                        646
                    ],
                    "metadata": null
                },
                "TimeFormat": {
                    "typeName": "STRING",
                    "value": "HH:mm",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "path": "547004",
                "propertyPath": "DateTime",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "547003",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "547003",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "547004",
                "propertyPath": "DateTime",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 547003,
                "path": "",
                "operation": "move",
                "type": "DATE_AND_TIME",
                "typeHash": 2,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": [
            {
                "taskId": 0,
                "itemId": 547003,
                "path": "",
                "operation": "move",
                "type": "DATE_AND_TIME",
                "typeHash": 2,
                "dataSourceId": "MPLCDataSource"
            }
        ]
    },
    "resources": [
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Ресурсы.Окна.Окно комплекта Системы влажность-температура 10 датчиков.Медиа.Медиа",
            "url": "170159.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Ресурсы.Окна.Окно комплекта Системы влажность-температура 10 датчиков.Медиа.hygrometer",
            "url": "170160.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Ресурсы.Окна.Окно комплекта Системы влажность-температура 10 датчиков.Схема.Панель закладок 1.Схема.Датчики 1- 10.Схема.Окно с первыми 10ю датчиками 1.Медиа.Медиа",
            "url": "460837.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Ресурсы.Окна.Окно комплекта Системы влажность-температура 10 датчиков.Схема.Панель закладок 1.Схема.Датчики 1- 10.Схема.Окно с первыми 10ю датчиками 1.Медиа.hygrometer",
            "url": "460838.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Ресурсы.Окна.Окно комплекта Системы влажность-температура 10 датчиков.Схема.Панель закладок 1.Схема.Датчики 1- 10.Схема.Окно с первыми 10ю датчиками 1.Медиа.Логотип Болид без надписи",
            "url": "460839-6973ac8574d52519ffc967433ba990e8.SVG"
        }
    ],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 170858,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Окно комплекта Системы влажность-температура 10 датчиков",
    "cssClass": "<div data-control-role='' data-control-id='170002'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 1540px; height: 760px; background-color:#F5F0F5;background-size: 100% 100%;left: 0px; top: 0px; border: 1px solid #808080;' ></div>"
};
var type = new ControlType(settings);
return type;
});