define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "214848",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 660.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 70.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "4565",
            "shortName": "Картинка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "214692",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Производственные участки.Чинарёв.Датчик рабочее место Чинарёв.Ресурсы.Окна.Отображение датчика.Медиа.temperature",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "214688"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "214688",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "215123",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Датчик рабочее место Чинарёв",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "4565",
            "shortName": "Картинка 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "214721",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Производственные участки.Чинарёв.Датчик рабочее место Чинарёв.Ресурсы.Окна.Отображение датчика.Медиа.hygrometer",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "MouseDown",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "214717"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "214717",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "215123",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Датчик рабочее место Чинарёв",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6465",
            "shortName": "Текст 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "214747",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 110.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 530.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [
                        79
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "214743"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "214743",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "215123",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='214747'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; left: 110px; width: 530px; height: 40px; top: 10px; font-size: 20pt;text-align: left; font-weight: bold;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '></div></label>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "214759",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        80
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='214759'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 80px; height: 20px; left: 0px; top: 40px; font-size: 20pt;font-weight: bold;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "214771",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        81
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='214771'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; width: 80px; height: 20px; left: 40px; top: 40px; font-size: 20pt;font-weight: bold;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "215261",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "214747",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "215259",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "214759",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "215260",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "214771",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 215261,
                "path": "",
                "operation": "move",
                "type": "STRING",
                "typeHash": 4,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 215259,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 215260,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": []
    },
    "resources": [
        {
            "id": "Объекты.Производственные участки.Чинарёв.Датчик рабочее место Чинарёв.Ресурсы.Окна.Отображение датчика.Медиа.hygrometer",
            "url": "214843.PNG"
        },
        {
            "id": "Объекты.Производственные участки.Чинарёв.Датчик рабочее место Чинарёв.Ресурсы.Окна.Отображение датчика.Медиа.temperature",
            "url": "214844.PNG"
        }
    ],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 0,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Отображение датчика",
    "cssClass": null
};
var type = new ControlType(settings);
return type;
});