define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "526515",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1500.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 600.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "480498",
            "shortName": "Настройка датчика 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "526545",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='526545'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; left: 10px; top: 30px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "482100",
            "shortName": "Настройка датчика 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "526638",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 120.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='526638'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; left: 10px; top: 120px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "483702",
            "shortName": "Настройка датчика 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "526731",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 210.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='526731'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; left: 10px; top: 210px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "485304",
            "shortName": "Настройка датчика 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "526824",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 300.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='526824'  tabindex='4'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; left: 10px; top: 300px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "486906",
            "shortName": "Настройка датчика 5",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "526917",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 390.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='526917'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 5; left: 10px; top: 390px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "488508",
            "shortName": "Настройка датчика 6",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "527010",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 700.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='527010'  tabindex='6'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; left: 700px; top: 30px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "490110",
            "shortName": "Настройка датчика 7",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "527103",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 700.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 120.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='527103'  tabindex='7'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 7; left: 700px; top: 120px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "491712",
            "shortName": "Настройка датчика 8",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "527196",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 700.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 210.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='527196'  tabindex='8'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 8; left: 700px; top: 210px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "493314",
            "shortName": "Настройка датчика 9",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "527289",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 700.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 297.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='527289'  tabindex='9'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 9; left: 700px; top: 297px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "494916",
            "shortName": "Настройка датчика 10",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "527382",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 700.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 390.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='527382'  tabindex='10'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 10; left: 700px; top: 390px; background-size: 100% 100%;background-color:#F5F0F5;height: 90px; width: 690px; border: 1px solid #808080;' ></div>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "547277",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 11,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 270.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 11,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1020.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Температура процессора внутри комплекта,",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "547332"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "547332",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "547098",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='547277'  tabindex='11'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 11; width: 270px; height: 20px; left: 1020px; top: 10px; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Температура процессора внутри комплекта,</div></label>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "547311",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1290.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        644
                    ],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='547311'  tabindex='12'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 12; width: 40px; height: 20px; left: 1290px; top: 10px; font-weight: bold;text-align: left; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "547094",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "547311",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 1,
                "itemId": 547094,
                "path": "",
                "operation": "move",
                "type": "REAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": []
    },
    "resources": [],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 0,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Окно настройки Комплекта системы 10 датчиков",
    "cssClass": null
};
var type = new ControlType(settings);
return type;
});