define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "58150",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 800.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 600.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsDefault",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "6241",
            "shortName": "Журнал 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "58247",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ObjectUID": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Filters": {
                    "typeName": "HMI.JournalFilters",
                    "value": [
                        {
                            "typeName": "HMI.JOURNALFILTER",
                            "value": {
                                "Enabled": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "CombineType": {
                                    "typeName": "HMI.FilterCombineType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "CanDisable": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Condition": {
                                    "typeName": "STRING",
                                    "value": "Active == True",
                                    "connections": [],
                                    "metadata": null
                                },
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Активные сообщения",
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "TableColumns": {
                    "typeName": "HMI.JournalColumns",
                    "value": [
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "45",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Ack",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "20",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Icon",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "ActiveTime",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "dd.MM.yyyy HH:mm:ss",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Сообщение",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Message",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "STRING",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "LegendColumns": {
                    "typeName": "HMI.JournalColumns",
                    "value": [
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "ActiveTime",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "dd.MM.yyyy HH:mm:ss",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Сообщение",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Message",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "STRING",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Приоритет",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Severity",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DINT",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время снятия",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "InactiveTime",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время квитирования",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "AckedTime",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Пользователь",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "ClientUserId",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Комментарий",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Comment",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "STRING",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 330.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 250.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "RowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {
                        "Height": {
                            "typeName": "STRING",
                            "value": "Auto",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderThickness": {
                            "typeName": "LREAL",
                            "value": 1.0,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#808080",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BackgroundColor": {
                            "typeName": "HMI.GradientColorType",
                            "value": "#F5F0F5",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontName": {
                            "typeName": "STRING",
                            "value": "Tahoma",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontSize": {
                            "typeName": "BYTE",
                            "value": 12,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": "Acked",
                                "Convertations": [
                                    {
                                        "typeId": "6215",
                                        "points": {}
                                    }
                                ]
                            }
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": "Active",
                                "Convertations": [
                                    {
                                        "typeId": "6226",
                                        "points": {}
                                    }
                                ]
                            }
                        },
                        "FontUnderlined": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        }
                    },
                    "connections": [],
                    "metadata": null
                },
                "SelectedRowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {},
                    "connections": [],
                    "metadata": null
                },
                "HeaderRowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {
                        "Height": {
                            "typeName": "STRING",
                            "value": "Auto",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderThickness": {
                            "typeName": "LREAL",
                            "value": 1.0,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#808080",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BackgroundColor": {
                            "typeName": "HMI.GradientColorType",
                            "value": "#F5F0F5",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontName": {
                            "typeName": "STRING",
                            "value": "Tahoma",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontSize": {
                            "typeName": "BYTE",
                            "value": 12,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontUnderlined": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        }
                    },
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6750",
            "shortName": "Архивный журнал 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "58426",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 380.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 260.0,
                    "connections": [],
                    "metadata": null
                },
                "ObjectUID": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Filters": {
                    "typeName": "HMI.JournalFilters",
                    "value": [],
                    "connections": [],
                    "metadata": null
                },
                "TableColumns": {
                    "typeName": "HMI.JournalColumns",
                    "value": [
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "45",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Ack",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "20",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Icon",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Событие",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "UpdateType",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "INT",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Time",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "dd.MM.yyyy HH:mm:ss",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Сообщение",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Message",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "STRING",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "LegendColumns": {
                    "typeName": "HMI.JournalColumns",
                    "value": [
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Time",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "dd.MM.yyyy HH:mm:ss",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Сообщение",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Message",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "STRING",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Приоритет",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Severity",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DINT",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время активации",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "ActiveTime",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "dd.MM.yyyy HH:mm:ss",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время снятия",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "InactiveTime",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Время квитирования",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "AckedTime",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "DATE_AND_TIME",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Пользователь",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "ClientUserId",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Комментарий",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "Comment",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "STRING",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "RowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {
                        "Height": {
                            "typeName": "STRING",
                            "value": "Auto",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderThickness": {
                            "typeName": "LREAL",
                            "value": 1.0,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#808080",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BackgroundColor": {
                            "typeName": "HMI.GradientColorType",
                            "value": "#F5F0F5",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontName": {
                            "typeName": "STRING",
                            "value": "Tahoma",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontSize": {
                            "typeName": "BYTE",
                            "value": 12,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": "Acked",
                                "Convertations": [
                                    {
                                        "typeId": "6215",
                                        "points": {}
                                    }
                                ]
                            }
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": "Active",
                                "Convertations": [
                                    {
                                        "typeId": "6226",
                                        "points": {}
                                    }
                                ]
                            }
                        },
                        "FontUnderlined": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        }
                    },
                    "connections": [],
                    "metadata": null
                },
                "SelectedRowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {},
                    "connections": [],
                    "metadata": null
                },
                "HeaderRowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {
                        "Height": {
                            "typeName": "STRING",
                            "value": "Auto",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderThickness": {
                            "typeName": "LREAL",
                            "value": 1.0,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#808080",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BackgroundColor": {
                            "typeName": "HMI.GradientColorType",
                            "value": "#F5F0F5",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontName": {
                            "typeName": "STRING",
                            "value": "Tahoma",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontSize": {
                            "typeName": "BYTE",
                            "value": 12,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontUnderlined": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        }
                    },
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [],
    "triggers": [],
    "serverVariables": {
        "getValues": [],
        "setValues": []
    },
    "resources": [],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 58142,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Окно 1",
    "cssClass": "<div data-control-role='' data-control-id='58150'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 800px; height: 600px; background-color:#F5F0F5;background-size: 100% 100%;left: 0px; top: 0px; border: 1px solid #808080;' ></div>"
};
var type = new ControlType(settings);
return type;
});