define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "58395",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 800.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 600.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsDefault",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "7722",
            "shortName": "Флаг 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "58492",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 130.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 190.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "IsChecked": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [
                        16,
                        17
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<div data-control-role='CheckBox'  class='inputable checkbox'  data-control-id='58492'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; width: 130px; height: 90px; left: 190px; top: 150px; ' ><svg width='100%' height='100%'><g stroke='#000000' style='stroke-width: 2px; '><line x1='0' y1='50%' x2='50%' y2='100%'></line><line x1='50%' y1='100%' x2='100%' y2='0'></line></g></svg></div>"
        },
        {
            "typeName": "7356",
            "shortName": "Кнопка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "58508",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 430.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Кнопка",
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontUnderlined": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "FontName": {
                    "typeName": "STRING",
                    "value": "Tahoma",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "IsPressed": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        18,
                        19
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<button data-control-role='Button' class='button clickable inputable'  data-control-id='58508'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 150px; height: 90px; left: 430px; top: 150px; white-space:nowrap;' >Кнопка</button>"
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "path": "58492",
                "propertyPath": "IsChecked",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "58381",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "58381",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "58492",
                "propertyPath": "IsChecked",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "58508",
                "propertyPath": "IsPressed",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "58382",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "58382",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "58508",
                "propertyPath": "IsPressed",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 58381,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 58382,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": [
            {
                "taskId": 0,
                "itemId": 58381,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 58382,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            }
        ]
    },
    "resources": [],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 58374,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Окно 1",
    "cssClass": "<div data-control-role='' data-control-id='58395'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 800px; height: 600px; background-color:#F5F0F5;background-size: 100% 100%;left: 0px; top: 0px; border: 1px solid #808080;' ></div>"
};
var type = new ControlType(settings);
return type;
});