define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "70080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1920.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1080.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsDefault",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "4564",
            "shortName": "Картинка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "70183",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Общие объекты системы.Ресурсы.Окна.Основное Окно.Медиа.аспткартинка",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 320.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 330.0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        242
                    ],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "70306"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "70306",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "70197",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Общие объекты системы",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "70197",
            "shortName": "статусы аспт 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "90156",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 1800.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 700.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 370.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='90156'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 1800px; height: 700px; left: 30px; top: 370px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "6998",
            "shortName": "Кнопка 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "101743",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 770.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 770.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 240.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Скачать Архив конфигурации С2000-ПП, С2000-АСПТ, С2000-ПТ, С2000М",
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontUnderlined": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "FontName": {
                    "typeName": "STRING",
                    "value": "Tahoma",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "IsPressed": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "141009"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "141009",
                    "type": "OpenUrl",
                    "constants": {
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "Address": {
                            "typeName": "STRING",
                            "value": "ConfTRC2000-ASPT_1.21.001.7z",
                            "connections": null,
                            "metadata": null
                        },
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<button data-control-role='Button' class='button clickable inputable'  data-control-id='101743'  tabindex='4'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 770px; height: 40px; left: 770px; top: 240px; white-space:nowrap;' >Скачать Архив конфигурации С2000-ПП, С2000-АСПТ, С2000-ПТ, С2000М</button>"
        },
        {
            "typeName": "6998",
            "shortName": "Кнопка 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "101765",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 770.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 770.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 290.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Схема подключения сети RS485",
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontUnderlined": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "FontName": {
                    "typeName": "STRING",
                    "value": "Tahoma",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "IsPressed": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "141019"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "141019",
                    "type": "OpenUrl",
                    "constants": {
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "Address": {
                            "typeName": "STRING",
                            "value": "Sch _toSAPT_1_21_001.jpg",
                            "connections": null,
                            "metadata": null
                        },
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<button data-control-role='Button' class='button clickable inputable'  data-control-id='101765'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 5; width: 770px; height: 30px; left: 770px; top: 290px; white-space:nowrap;' >Схема подключения сети RS485</button>"
        },
        {
            "typeName": "6998",
            "shortName": "Кнопка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "106055",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 600.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1280.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 60.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Настройка контроллера М3000-Т Инсат",
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "FontUnderlined": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 25,
                    "connections": [],
                    "metadata": null
                },
                "FontName": {
                    "typeName": "STRING",
                    "value": "Tahoma",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "IsPressed": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "MouseDown",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "106083"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "106083",
                    "type": "OpenUrl",
                    "constants": {
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "Address": {
                            "typeName": "STRING",
                            "value": "/bolid_web_cfg",
                            "connections": null,
                            "metadata": null
                        },
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<button data-control-role='Button' class='button clickable inputable'  data-control-id='106055'  tabindex='6'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; width: 600px; height: 50px; left: 1280px; top: 60px; font-weight: bold;font-size: 25pt;white-space:nowrap;border-radius: 25px;' >Настройка контроллера М3000-Т Инсат</button>"
        },
        {
            "typeName": "6464",
            "shortName": "Текст 6",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "108839",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1140.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 770.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Проект \"Диспетчеризация части состояний С2000-АСПТ\" версия 0.3 для контроллера \"М3000-Т Инсат\" версии не ниже 1.21.  Адрес блока С2000-АСПТ в системе Орион - три",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 15,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='108839'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; left: 1140px; width: 770px; height: 50px; top: 0px; text-align: center; font-size: 15pt;font-weight: bold;border-radius: 20px;background-color:#62DE88;border: 1px solid #000000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Проект \"Диспетчеризация части состояний С2000-АСПТ\" версия 0.3 для контроллера \"М3000-Т Инсат\" версии не ниже 1.21.  Адрес блока С2000-АСПТ в системе Орион - три</div></label>"
        },
        {
            "typeName": "4013",
            "shortName": "Прямоугольник 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "110403",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 650.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6464",
            "shortName": "Текст 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "90066",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 340.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 720.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        243
                    ],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 19,
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "transparent",
                    "connections": [
                        244
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='90066'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 340px; height: 50px; left: 720px; top: 20px; text-align: center; border-radius: 25px;font-size: 19pt;font-style:italic;font-weight: bold;background-color:transparent;border: 0px solid black;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6464",
            "shortName": "Текст 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "90081",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 370.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 330.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "   Состояние связи с С2000-ПП",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 19,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='90081'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; left: 370px; width: 330px; height: 50px; top: 20px; text-align: center; font-size: 19pt;font-weight: bold;border-radius: 25px;background-color:#62DE88;border: 0px solid #000000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>   Состояние связи с С2000-ПП</div></label>"
        },
        {
            "typeName": "6464",
            "shortName": "Текст 8",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "110381",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 360.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 710.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "   ",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 2.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#EB00FF",
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#EB00FF",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='110381'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; left: 360px; width: 710px; height: 70px; top: 10px; text-align: center; font-size: 20pt;font-weight: bold;border-radius: 20px;color: #EB00FF;border: 2px solid #EB00FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>   </div></label>"
        },
        {
            "typeName": "4013",
            "shortName": "Прямоугольник 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "110416",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 720.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "4013",
            "shortName": "Прямоугольник 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "133129",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1430.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6464",
            "shortName": "Текст 5",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "133145",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 340.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1500.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Выключение М3000-Т Инсат",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 19,
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#00FFFF",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "139351"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "139351",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "139127",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Общие объекты системы",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='133145'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 12; width: 340px; height: 50px; left: 1500px; top: 150px; text-align: center; border-radius: 25px;font-size: 19pt;font-weight: bold;background-color:#00FFFF;border: 0px solid black;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Выключение М3000-Т Инсат</div></label>"
        },
        {
            "typeName": "6464",
            "shortName": "Текст 7",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "133166",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1150.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 330.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Перезагрузка М3000-Т Инсат",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 19,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "139334"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "139334",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "139030",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Общие объекты системы",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='133166'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 10; left: 1150px; width: 330px; height: 50px; top: 150px; text-align: center; font-size: 19pt;font-weight: bold;border-radius: 25px;background-color:#62DE88;border: 0px solid #000000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Перезагрузка М3000-Т Инсат</div></label>"
        },
        {
            "typeName": "4013",
            "shortName": "Прямоугольник 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "133187",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1500.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6464",
            "shortName": "Текст 9",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "133202",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1140.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 710.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 140.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "   ",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 2.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#EB00FF",
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#EB00FF",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='133202'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; left: 1140px; width: 710px; height: 70px; top: 140px; text-align: center; font-size: 20pt;font-weight: bold;border-radius: 20px;color: #EB00FF;border: 2px solid #EB00FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>   </div></label>"
        },
        {
            "typeName": "4013",
            "shortName": "Прямоугольник 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "110493",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 650.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6464",
            "shortName": "Текст 5",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "90106",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 370.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 330.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "   Состояние связи с С2000-АСПТ",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 19,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#62DE88",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='90106'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; left: 370px; width: 330px; height: 50px; top: 90px; text-align: center; border-radius: 25px;font-size: 19pt;font-weight: bold;background-color:#62DE88;border: 0px solid #000000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>   Состояние связи с С2000-АСПТ</div></label>"
        },
        {
            "typeName": "6464",
            "shortName": "Текст 7",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "104269",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 340.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 720.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        245
                    ],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 19,
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "transparent",
                    "connections": [
                        246
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='104269'  tabindex='7'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 7; width: 340px; height: 50px; left: 720px; top: 90px; border-radius: 25px;font-size: 19pt;font-style:italic;font-weight: bold;background-color:transparent;border: 0px solid black;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6464",
            "shortName": "Текст 9",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "110471",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 360.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 710.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 2.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#EB00FF",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='110471'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 7; left: 360px; width: 710px; height: 70px; top: 80px; text-align: center; border-radius: 20px;font-size: 20pt;font-weight: bold;border: 2px solid #EB00FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '></div></label>"
        },
        {
            "typeName": "4013",
            "shortName": "Прямоугольник 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "110509",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 11,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 720.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 90.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#00FFFFFF",
                    "connections": [
                        247
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "70316",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "70183",
                "propertyPath": "Flash",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "90023",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "131865",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "90066",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "133082",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "131865",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "90066",
                "propertyPath": "BackgroundColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "133093",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "70316",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "104269",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "106092",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "70316",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "104269",
                "propertyPath": "BackgroundColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "108805",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "70316",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "110509",
                "propertyPath": "BackgroundColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "110525",
                    "points": {}
                }
            ],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 70316,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 1,
                "itemId": 131865,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": []
    },
    "resources": [
        {
            "id": "Объекты.Общие объекты системы.Ресурсы.Окна.Основное Окно.Медиа.аспткартинка",
            "url": "70194.PNG"
        }
    ],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 70074,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Основное Окно",
    "cssClass": "<div data-control-role='' data-control-id='70080'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 1920px; height: 1080px; background-color:#F5F0F5;background-size: 100% 100%;left: 0px; top: 0px; border: 1px solid #808080;' ></div>"
};
var type = new ControlType(settings);
return type;
});