define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "70197",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1800.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 640.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "91022",
            "shortName": "Отображение статуса шлейфа 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "97255",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='97255'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 900px; height: 70px; left: 0px; top: 0px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91057",
            "shortName": "Отображение статуса шлейфа 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "97348",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='97348'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 9; width: 900px; height: 70px; left: 0px; top: 70px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91092",
            "shortName": "Отображение статуса шлейфа 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "97441",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 140.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='97441'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; width: 900px; height: 70px; left: 0px; top: 140px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91127",
            "shortName": "Отображение статуса шлейфа 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "97534",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 210.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='97534'  tabindex='4'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 10; width: 900px; height: 70px; left: 0px; top: 210px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91162",
            "shortName": "Отображение статуса шлейфа 5",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "97627",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 280.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='97627'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 900px; height: 70px; left: 0px; top: 280px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91197",
            "shortName": "Отображение статуса шлейфа 6",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "97813",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 11,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 350.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='97813'  tabindex='6'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 11; width: 900px; height: 70px; left: 0px; top: 350px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91232",
            "shortName": "Отображение статуса шлейфа 7",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "97906",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 420.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='97906'  tabindex='7'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 900px; height: 70px; left: 0px; top: 420px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91267",
            "shortName": "Отображение статуса шлейфа 8",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98002",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98002'  tabindex='8'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 12; width: 900px; height: 70px; left: 900px; top: 0px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91302",
            "shortName": "Отображение статуса шлейфа 9",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98095",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98095'  tabindex='9'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 900px; height: 70px; left: 900px; top: 70px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91337",
            "shortName": "Отображение статуса шлейфа 10",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98188",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 13,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 140.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98188'  tabindex='10'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 13; width: 900px; height: 70px; left: 900px; top: 140px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91372",
            "shortName": "Отображение статуса шлейфа 11",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98281",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 11,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 210.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98281'  tabindex='11'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 5; width: 900px; height: 70px; left: 900px; top: 210px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91407",
            "shortName": "Отображение статуса шлейфа 12",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98374",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 14,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 280.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98374'  tabindex='12'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 14; width: 900px; height: 70px; left: 900px; top: 280px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91442",
            "shortName": "Отображение статуса шлейфа 13",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98467",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 13,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 420.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98467'  tabindex='13'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; width: 900px; height: 70px; left: 900px; top: 420px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91477",
            "shortName": "Отображение статуса шлейфа 14",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98560",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 15,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 14,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 490.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98560'  tabindex='14'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 15; width: 900px; height: 70px; left: 0px; top: 490px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91512",
            "shortName": "Отображение статуса шлейфа 15",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98653",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 15,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 560.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98653'  tabindex='15'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 7; width: 900px; height: 70px; left: 0px; top: 560px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91547",
            "shortName": "Отображение статуса шлейфа 16",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98746",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 16,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 16,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 490.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98746'  tabindex='16'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 16; width: 900px; height: 70px; left: 900px; top: 490px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "91582",
            "shortName": "Отображение статуса шлейфа 17",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "98839",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 17,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 560.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='98839'  tabindex='17'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 8; width: 900px; height: 70px; left: 900px; top: 560px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        },
        {
            "typeName": "104933",
            "shortName": "Отображение статуса шлейфа 21",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "105515",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 21,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 350.0,
                    "connections": [],
                    "metadata": null
                },
                "DockStyle": {
                    "typeName": "HMI.DockType",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "VerticalAlign": {
                    "typeName": "HMI.VerticalAlignType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "ShadowColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#F0F0F0",
                    "connections": [],
                    "metadata": null
                },
                "ShadowSize": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "BorderStyle": {
                    "typeName": "HMI.BorderStyleType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Opacity": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#F5F0F5",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleY": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "ScaleX": {
                    "typeName": "LREAL",
                    "value": 1.0,
                    "connections": [],
                    "metadata": null
                },
                "Angle": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Window' data-control-id='105515'  tabindex='21'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 20; width: 900px; height: 70px; left: 900px; top: 350px; background-size: 100% 100%;background-color:#F5F0F5;border: 0px solid #808080;' ></div>"
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [],
    "triggers": [],
    "serverVariables": {
        "getValues": [],
        "setValues": []
    },
    "resources": [],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 0,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "статусы аспт",
    "cssClass": null
};
var type = new ControlType(settings);
return type;
});