define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "112270",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 780.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 500.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "4565",
            "shortName": "Картинка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "112373",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundTile": {
                    "typeName": "HMI.TileType",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 640.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 500.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Производственные участки.Федулов.Окно изометрии.Ресурсы.Окна.Фуджи1.Медиа.Проект Диспетчиризации",
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "4927",
            "shortName": "Панель 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "112519",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 340.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "115663"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "115663",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "66336",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "График влажности на рабочем месте Инженера участок Фуджи1",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 3",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "112447",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "%",
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#0000FF",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='112447'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 20px; top: 0px; font-weight: bold;color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>%</div></label>"
                },
                {
                    "typeName": "6465",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "112480",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 6,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 5,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [
                                101
                            ],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#0000FF",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='112480'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='112519'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; left: 340px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 80px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "4927",
            "shortName": "Панель 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "112544",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 340.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 60.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "115648"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "115648",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "63520",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "График температуры рабочего места Инженера Фуджи1",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "112421",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [
                                102
                            ],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='112421'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                },
                {
                    "typeName": "6465",
                    "shortName": "Текст 2",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "112435",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "°C",
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='112435'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 80px; height: 20px; left: 20px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>°C</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='112544'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; left: 340px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 60px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "4927",
            "shortName": "Панель 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "115154",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 180.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115067",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [
                                103
                            ],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115067'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                },
                {
                    "typeName": "6465",
                    "shortName": "Текст 2",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115082",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "°C",
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115082'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 80px; height: 20px; left: 20px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>°C</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='115154'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; left: 150px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 180px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "4927",
            "shortName": "Панель 5",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "115194",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 200.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 3",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115118",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "%",
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#0000FF",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115118'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 20px; top: 0px; font-weight: bold;color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>%</div></label>"
                },
                {
                    "typeName": "4927",
                    "shortName": "Панель 4",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115174",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 8,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "BackgroundColor": {
                            "typeName": "STRING",
                            "value": "#00FFFFFF",
                            "connections": [],
                            "metadata": null
                        },
                        "BorderThickness": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "CornerRadius": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [
                        {
                            "typeName": "6465",
                            "shortName": "Текст 1",
                            "parameters": {
                                "Id": {
                                    "typeName": "INT",
                                    "value": "115133",
                                    "connections": [],
                                    "metadata": null
                                },
                                "SkinResource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Z": {
                                    "typeName": "DINT",
                                    "value": 4,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Width": {
                                    "typeName": "LREAL",
                                    "value": 80.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Height": {
                                    "typeName": "LREAL",
                                    "value": 20.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Resource": {
                                    "typeName": "HMI.ResourceType",
                                    "value": null,
                                    "connections": [],
                                    "metadata": null
                                },
                                "TabIndex": {
                                    "typeName": "DINT",
                                    "value": 5,
                                    "connections": [],
                                    "metadata": null
                                },
                                "X": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "FontBold": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Y": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Text": {
                                    "typeName": "STRING",
                                    "value": "Текст",
                                    "connections": [
                                        104
                                    ],
                                    "metadata": null
                                },
                                "Angle": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "TextColor": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#0000FF",
                                    "connections": [],
                                    "metadata": null
                                },
                                "XType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "YType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "WidthType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HeightType": {
                                    "typeName": "SizeType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "events": [],
                            "triggers": [],
                            "actions": [],
                            "serverVariables": {
                                "getValues": [],
                                "setValues": []
                            },
                            "childModels": [],
                            "serviceParameters": null,
                            "objectId": 0,
                            "serverTaskId": -1,
                            "hasConnections": true,
                            "permissions": {},
                            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115133'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                        }
                    ],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='115174'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 8; left: 0px; width: 80px; height: 20px; background-color:#FFFFFF00;top: 0px; border: 0px solid black;' ></div>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='115194'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; left: 150px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 200px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "4927",
            "shortName": "Панель 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "115459",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 180.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 370.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 3",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115424",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "%",
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#0000FF",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115424'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 20px; top: 0px; font-weight: bold;color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>%</div></label>"
                },
                {
                    "typeName": "6465",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115439",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 6,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 5,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [
                                105
                            ],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#0000FF",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115439'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='115459'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 5; left: 180px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 370px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "4927",
            "shortName": "Панель 6",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "115479",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 180.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 350.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 2",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115245",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "°C",
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115245'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 80px; height: 20px; left: 20px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>°C</div></label>"
                },
                {
                    "typeName": "6465",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115230",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [
                                106
                            ],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115230'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='115479'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; left: 180px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 350px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "4927",
            "shortName": "Панель 7",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "115601",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 490.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 280.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "115678"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "115678",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "66455",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "График изменения температуры притока воздуха участок Фуджи1",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 2",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115565",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 3,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "°C",
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115565'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 80px; height: 20px; left: 20px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>°C</div></label>"
                },
                {
                    "typeName": "6465",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115581",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [
                                107
                            ],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#008000",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115581'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #008000;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='115601'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 7; left: 490px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 280px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "4927",
            "shortName": "Панель 8",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "115622",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 490.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "STRING",
                    "value": "#00FFFFFF",
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 300.0,
                    "connections": [],
                    "metadata": null
                },
                "CornerRadius": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "115693"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "115693",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "66574",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "График изменения влажности подаваемого воздуха участок Фуджи1",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6465",
                    "shortName": "Текст 3",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115515",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 2,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "%",
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#0000FF",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": false,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115515'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 2; width: 80px; height: 20px; left: 20px; top: 0px; font-weight: bold;color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>%</div></label>"
                },
                {
                    "typeName": "6465",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "115530",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 6,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 5,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [
                                108
                            ],
                            "metadata": null
                        },
                        "Angle": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#0000FF",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='115530'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; width: 80px; height: 20px; left: 0px; font-weight: bold;top: 0px; color: #0000FF;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Canvas' class='panel' data-control-id='115622'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 8; left: 490px; width: 100px; height: 20px; background-color:#FFFFFF00;top: 300px; border: 0px solid black;' ></div>"
        },
        {
            "typeName": "7713",
            "shortName": "ДатаВремя 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "119169",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 200.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "TimeFormat": {
                    "typeName": "STRING",
                    "value": "HH:mm:ss",
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "DateTime": {
                    "typeName": "DATE_AND_TIME",
                    "value": 0,
                    "connections": [
                        109
                    ],
                    "metadata": null
                },
                "IsReadonly": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6465",
            "shortName": "Текст 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "119455",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 490.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 110.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 250.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Приток воздуха",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='119455'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 10; left: 490px; width: 110px; height: 20px; top: 250px; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Приток воздуха</div></label>"
        },
        {
            "typeName": "6999",
            "shortName": "Кнопка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "289347",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 14,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 14,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 60.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Окно cкладов SMD",
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontUnderlined": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "FontName": {
                    "typeName": "STRING",
                    "value": "Tahoma",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "IsPressed": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "289375"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "289375",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "286065",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<button data-control-role='Button' class='button clickable inputable'  data-control-id='289347'  tabindex='14'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 14; width: 80px; height: 20px; left: 20px; top: 60px; white-space:nowrap;' >Окно cкладов SMD</button>"
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60289",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/112519/112480",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60288",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/112544/112421",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60292",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/115154/115067",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60293",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/115194/115174/115133",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60295",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/115459/115439",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60294",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/115479/115230",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60290",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/115601/115581",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "60291",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "/115622/115530",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "82209",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "119169",
                "propertyPath": "DateTime",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 60289,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 60288,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 60292,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 60293,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 60295,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 60294,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 60290,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 60291,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 82209,
                "path": "",
                "operation": "move",
                "type": "DATE_AND_TIME",
                "typeHash": 2,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": []
    },
    "resources": [
        {
            "id": "Объекты.Производственные участки.Федулов.Окно изометрии.Ресурсы.Окна.Фуджи1.Медиа.Проект Диспетчиризации",
            "url": "212352-af92f7abdaf8bb0fa0347f33888df760.SVG"
        }
    ],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 0,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Фуджи1",
    "cssClass": null
};
var type = new ControlType(settings);
return type;
});