define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "236288",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1000.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 50.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "4565",
            "shortName": "Картинка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "236067",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.temperature",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "236063"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "236063",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "236563",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Датчик С2000-ВТ со всеми параметрами",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "4565",
            "shortName": "Картинка 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "236096",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.hygrometer",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "MouseDown",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "236092"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "236092",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "236563",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Датчик С2000-ВТ со всеми параметрами",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6465",
            "shortName": "Текст 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "236124",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 120.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 690.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [
                        113
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "236120"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "236120",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "236563",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='236124'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; left: 120px; width: 690px; height: 30px; top: 10px; font-size: 20pt;text-align: left; font-weight: bold;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '></div></label>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "236140",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        114
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 16,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        115
                    ],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#505050",
                    "connections": [
                        116
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='236140'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 80px; height: 20px; left: 0px; top: 30px; font-size: 16pt;font-weight: bold;color: #505050;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "236157",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        117
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 16,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        118
                    ],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#505050",
                    "connections": [
                        119
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='236157'  tabindex='4'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 80px; height: 20px; left: 40px; top: 30px; font-size: 16pt;font-weight: bold;color: #505050;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6242",
            "shortName": "Индикатор событий 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "236185",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Схема.Индикатор событий 1.Медиа.Новое сообщение",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 950.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "UpdatePeriod": {
                    "typeName": "LREAL",
                    "value": 1000.0,
                    "connections": [],
                    "metadata": null
                },
                "DataSource": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "ObjectUID": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [
                        120
                    ],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Filters": {
                    "typeName": "HMI.JournalFilters",
                    "value": [],
                    "connections": [],
                    "metadata": null
                },
                "HasMessages": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "236180"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "236180",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "237192",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<div data-control-role='MessageIndicator' class='messageindicator clickable inputable'  data-control-id='236185'  src='Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Схема.Индикатор событий 1.Медиа.Новое сообщение'  tabindex='5'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 5; left: 950px; top: 10px; width: 30px; height: 30px; ' ></div>"
        },
        {
            "typeName": "4565",
            "shortName": "Картинка 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "241024",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.image_B8",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 900.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "241019"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "241019",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "236563",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "4565",
            "shortName": "Картинка 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "241052",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.line-chart",
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 850.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "241047"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "241047",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "236563",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Датчик С2000-ВТ со всеми параметрами",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Nazvanie_datchika_ID_237272",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236124",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Temperatura_ID_237270",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236140",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Temperatura_nizhnyaya_granica_flag_ID_237280",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236140",
                "propertyPath": "Flash",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Temperatura_verhnyaya_granica_flag_ID_237279",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236140",
                "propertyPath": "TextColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "236213",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Vlazhnostj_ID_237271",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236157",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Vlazhnostj_nizhnyaya_granica_flag_ID_237284",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236157",
                "propertyPath": "Flash",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Vlazhnostj_verhnyaya_granica_flag_ID_237283",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236157",
                "propertyPath": "TextColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "236213",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "0",
                "propertyPath": "_Sobitie_obschee_dlya_datchika_ID_237285",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "236185",
                "propertyPath": "ObjectUID",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Nazvanie_datchika_ID_237272",
                "operation": "move",
                "type": "STRING",
                "typeHash": 4,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Temperatura_ID_237270",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Temperatura_nizhnyaya_granica_flag_ID_237280",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Temperatura_verhnyaya_granica_flag_ID_237279",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Vlazhnostj_ID_237271",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Vlazhnostj_nizhnyaya_granica_flag_ID_237284",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Vlazhnostj_verhnyaya_granica_flag_ID_237283",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": -1,
                "itemId": 0,
                "path": "_Sobitie_obschee_dlya_datchika_ID_237285",
                "operation": "move",
                "type": "STRING",
                "typeHash": 4,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": []
    },
    "resources": [
        {
            "id": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.hygrometer",
            "url": "236283.PNG"
        },
        {
            "id": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.temperature",
            "url": "236284.PNG"
        },
        {
            "id": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.image_B8",
            "url": "241055.PNG"
        },
        {
            "id": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Медиа.line-chart",
            "url": "241056.PNG"
        },
        {
            "id": "Библиотеки.Библиотека 1.Объекты.Датчик С2000-ВТ со всеми параметрами.Ресурсы.Окна.Отображение датчика.Схема.Индикатор событий 1.Медиа.Новое сообщение",
            "url": "6202.PNG"
        }
    ],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 0,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Отображение датчика",
    "cssClass": null
};
var type = new ControlType(settings);
return type;
});