define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "505280",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1500.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 50.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "4565",
            "shortName": "Картинка 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505310",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.temperature",
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 110.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "4565",
            "shortName": "Картинка 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505340",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.hygrometer",
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 170.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "BorderThickness": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6465",
            "shortName": "Текст 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505370",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 230.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "HorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 960.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [
                        396
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 20,
                    "connections": [],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "505393"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "505393",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "505665",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='505370'  tabindex='2'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; left: 230px; top: 10px; width: 960px; height: 30px; font-size: 20pt;text-align: left; font-weight: bold;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '></div></label>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505398",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 16,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 120.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        397
                    ],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        398
                    ],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#505050",
                    "connections": [
                        399
                    ],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='505398'  tabindex='3'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 3; width: 50px; height: 20px; font-size: 16pt;left: 120px; top: 30px; font-weight: bold;color: #505050;text-align: left; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6465",
            "shortName": "Текст 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505414",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 170.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        400
                    ],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 16,
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        401
                    ],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#505050",
                    "connections": [
                        402
                    ],
                    "metadata": null
                },
                "TextHorizontalAlign": {
                    "typeName": "HMI.HorizontalAlignType",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='505414'  tabindex='4'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 40px; height: 20px; font-weight: bold;left: 170px; top: 30px; font-size: 16pt;color: #505050;text-align: left; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6242",
            "shortName": "Индикатор событий 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505431",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Схема.Индикатор событий 1.Медиа.Новое сообщение",
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1440.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "UpdatePeriod": {
                    "typeName": "LREAL",
                    "value": 1000.0,
                    "connections": [],
                    "metadata": null
                },
                "DataSource": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "ObjectUID": {
                    "typeName": "STRING",
                    "value": "",
                    "connections": [
                        403
                    ],
                    "metadata": null
                },
                "Filters": {
                    "typeName": "HMI.JournalFilters",
                    "value": [],
                    "connections": [],
                    "metadata": null
                },
                "HasMessages": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "505453"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "505453",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "506479",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<div data-control-role='MessageIndicator' class='messageindicator clickable inputable'  data-control-id='505431'  tabindex='5'  src='Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Схема.Индикатор событий 1.Медиа.Новое сообщение'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 5; width: 30px; height: 30px; left: 1440px; top: 10px; ' ></div>"
        },
        {
            "typeName": "4565",
            "shortName": "Картинка 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505459",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.image_B8",
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1390.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "Новое окно с графиком",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "505477"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "505477",
                    "type": "OpenWindow",
                    "constants": {
                        "WindowId": "505665",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "Frame": null,
                        "inputParameters": [],
                        "outputParameters": []
                    },
                    "parameters": {
                        "OpenNew": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "4565",
            "shortName": "Картинка 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505482",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.line-chart",
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1340.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "ToolTip": {
                    "typeName": "STRING",
                    "value": "Всплывающее окно графика",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [
                {
                    "isTrigger": false,
                    "type": "Click",
                    "parameters": {
                        "X": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 0.0,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseLB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        },
                        "MouseMB": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": null,
                            "metadata": null
                        }
                    },
                    "actions": [
                        "505500"
                    ]
                }
            ],
            "triggers": [],
            "actions": [
                {
                    "id": "505500",
                    "type": "OpenDialog",
                    "constants": {
                        "WindowId": "505665",
                        "objectId": 0,
                        "serverTaskId": 0,
                        "inputParameters": [
                            {
                                "name": "HeaderFontColor",
                                "update": false
                            }
                        ],
                        "outputParameters": []
                    },
                    "parameters": {
                        "HeaderFontColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": null,
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Датчик С2000ВТ со всеми параметрами 17",
                            "connections": null,
                            "metadata": null
                        },
                        "Width": null,
                        "Height": null,
                        "CanResize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "SizeToContent": {
                            "typeName": "HMI.SizeToContentType",
                            "value": 0,
                            "connections": null,
                            "metadata": null
                        },
                        "OpenDialogPoint": {
                            "typeName": "HMI.OpenDialogPoint",
                            "value": 3,
                            "connections": null,
                            "metadata": null
                        },
                        "CanMinimize": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "CanClose": {
                            "typeName": "BOOL",
                            "value": true,
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderBackgroundColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#E0E0FF",
                            "connections": null,
                            "metadata": null
                        },
                        "HeaderTextColor": {
                            "typeName": "STRING",
                            "value": "Red",
                            "connections": [],
                            "metadata": null
                        }
                    }
                }
            ],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6465",
            "shortName": "Текст 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "505532",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 18,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        404
                    ],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='505532'  tabindex='9'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 9; width: 80px; height: 20px; left: 20px; font-size: 18pt;top: 20px; font-style:italic;' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "4105",
            "shortName": "Овал 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "549212",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "IsVisible": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        405
                    ],
                    "metadata": null
                },
                "IsEnabled": {
                    "typeName": "BOOL",
                    "value": true,
                    "connections": [],
                    "metadata": null
                },
                "Flash": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [
                        406
                    ],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 1290.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 10.0,
                    "connections": [],
                    "metadata": null
                },
                "BackgroundColor": {
                    "typeName": "HMI.GradientColorType",
                    "value": "#00FFFFFF",
                    "connections": [
                        407
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505255",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505370",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505253",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505398",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505264",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505398",
                "propertyPath": "Flash",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505262",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505398",
                "propertyPath": "TextColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "481535",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505254",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505414",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505265",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505414",
                "propertyPath": "Flash",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505263",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505414",
                "propertyPath": "TextColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "481535",
                    "points": {}
                }
            ],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505269",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505431",
                "propertyPath": "ObjectUID",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505270",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "505532",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505272",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "549212",
                "propertyPath": "IsVisible",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505271",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "549212",
                "propertyPath": "Flash",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "505271",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "549212",
                "propertyPath": "BackgroundColor",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [
                {
                    "typeId": "549596",
                    "points": {}
                }
            ],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 505255,
                "path": "",
                "operation": "move",
                "type": "STRING",
                "typeHash": 4,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505253,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505264,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505262,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505254,
                "path": "",
                "operation": "move",
                "type": "INT",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505265,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505263,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505269,
                "path": "",
                "operation": "move",
                "type": "STRING",
                "typeHash": 4,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505270,
                "path": "",
                "operation": "move",
                "type": "STRING",
                "typeHash": 4,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505272,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 505271,
                "path": "",
                "operation": "move",
                "type": "BOOL",
                "typeHash": 3,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": []
    },
    "resources": [
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.hygrometer",
            "url": "478263.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.temperature",
            "url": "478264.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.image_B8",
            "url": "478265.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Медиа.line-chart",
            "url": "478266.PNG"
        },
        {
            "id": "Объекты.Система мониторинга.Система монитринга влажность-температура.Датчик С2000ВТ со всеми параметрами 17.Ресурсы.Окна.Отображение датчика.Схема.Индикатор событий 1.Медиа.Новое сообщение",
            "url": "6202.PNG"
        }
    ],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 0,
    "serverTaskId": -1,
    "hasConnections": false,
    "shortName": "Отображение датчика",
    "cssClass": null
};
var type = new ControlType(settings);
return type;
});