define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "71028",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 800.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 600.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "_Parametr_1",
            "defaultValue": {
                "typeName": "DATE_AND_TIME",
                "value": 0,
                "connections": [
                    17,
                    18,
                    19
                ],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsDefault",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "5955",
            "shortName": "График 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "71125",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 400.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 300.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 210.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 70.0,
                    "connections": [],
                    "metadata": null
                },
                "Pens": {
                    "typeName": "HMI.TrendPens",
                    "value": [
                        {
                            "typeName": "HMI.TRENDPEN",
                            "value": {
                                "PenLimits": {
                                    "typeName": "HMI.TrendPenLimits",
                                    "value": [
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "80",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "70",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "30",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "20",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        }
                                    ],
                                    "connections": [],
                                    "metadata": null
                                },
                                "MinY": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "MaxY": {
                                    "typeName": "LREAL",
                                    "value": 100.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Color": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#FF0000",
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineStyle": {
                                    "typeName": "HMI.BorderStyleType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DataSource": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [
                                        20
                                    ],
                                    "metadata": null
                                },
                                "Unit": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "YFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "TickCountY": {
                                    "typeName": "INT",
                                    "value": 5,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Thickness": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DrawConstant": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsVisible": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineJoin": {
                                    "typeName": "HMI.LineJoin",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Autoscale": {
                                    "typeName": "BOOL",
                                    "value": false,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Name": {
                                    "typeName": "STRING",
                                    "value": "Параметр 1",
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.TRENDPEN",
                            "value": {
                                "PenLimits": {
                                    "typeName": "HMI.TrendPenLimits",
                                    "value": [
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "80",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "70",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "30",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "20",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        }
                                    ],
                                    "connections": [],
                                    "metadata": null
                                },
                                "MinY": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "MaxY": {
                                    "typeName": "LREAL",
                                    "value": 100.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Color": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#00FF00",
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineStyle": {
                                    "typeName": "HMI.BorderStyleType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DataSource": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [
                                        21
                                    ],
                                    "metadata": null
                                },
                                "Unit": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "YFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "TickCountY": {
                                    "typeName": "INT",
                                    "value": 5,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Thickness": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DrawConstant": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsVisible": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineJoin": {
                                    "typeName": "HMI.LineJoin",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Autoscale": {
                                    "typeName": "BOOL",
                                    "value": false,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Name": {
                                    "typeName": "STRING",
                                    "value": "выходное воздействие 1",
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "Interval": {
                    "typeName": "TIME",
                    "value": 60000,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "8542",
            "shortName": "Интервал 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "71243",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 110.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 420.0,
                    "connections": [],
                    "metadata": null
                },
                "DateTime": {
                    "typeName": "TIME",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "IsReadonly": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "8145",
            "shortName": "Горизонтальный ползунок 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72004",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 530.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 15.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Value": {
                    "typeName": "LREAL",
                    "value": 5.0,
                    "connections": [],
                    "metadata": null
                },
                "MaxValue": {
                    "typeName": "LREAL",
                    "value": 12.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "7522",
            "shortName": "Кнопка с фиксацией 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72021",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 60.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 150.0,
                    "connections": [],
                    "metadata": null
                },
                "IsPressed": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Вкл/Выкл",
                    "connections": [],
                    "metadata": null
                },
                "FontItalic": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontBold": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontUnderlined": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "FontSize": {
                    "typeName": "BYTE",
                    "value": 12,
                    "connections": [],
                    "metadata": null
                },
                "FontName": {
                    "typeName": "STRING",
                    "value": "Tahoma",
                    "connections": [],
                    "metadata": null
                },
                "BorderColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#808080",
                    "connections": [],
                    "metadata": null
                },
                "TextColor": {
                    "typeName": "HMI.SolidColorType",
                    "value": "#000000",
                    "connections": [],
                    "metadata": null
                },
                "FontMultiline": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": false,
            "permissions": {},
            "cssClass": "<button data-control-role='ToggleButton' class='inputable tglbutton'  data-control-id='72021'  tabindex='4'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 4; width: 80px; height: 20px; left: 60px; top: 150px; white-space:nowrap;' >Вкл/Выкл</button>"
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "path": "/",
                "propertyPath": "_Parametr_1",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "71125",
                "propertyPath": "Interval",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "/",
                "propertyPath": "_Parametr_1",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "71243",
                "propertyPath": "DateTime",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "71243",
                "propertyPath": "DateTime",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "/",
                "propertyPath": "_Parametr_1",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "58496",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "71125",
                "propertyPath": "Pens[0].DataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "71026",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "71125",
                "propertyPath": "Pens[1].DataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 58496,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 71026,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": []
    },
    "resources": [],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 58489,
    "serverTaskId": -1,
    "hasConnections": true,
    "shortName": "Окно 1",
    "cssClass": "<div data-control-role='' data-control-id='71028'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 800px; height: 600px; background-color:#F5F0F5;background-size: 100% 100%;left: 0px; top: 0px; border: 1px solid #808080;' ></div>"
};
var type = new ControlType(settings);
return type;
});