define(['base/ControlType'], function (ControlType) {
            var settings = {
    "parameters": [
        {
            "role": "Id",
            "defaultValue": {
                "typeName": "INT",
                "value": "72128",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "RoleAttribute",
            "defaultValue": {
                "typeName": "STRING",
                "value": "Window",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "SkinResource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Z",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Width",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 800.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Height",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 600.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Angle",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleX",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ScaleY",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderThickness",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 1.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#808080",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundColor",
            "defaultValue": {
                "typeName": "HMI.GradientColorType",
                "value": "#F5F0F5",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Opacity",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 100.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BorderStyle",
            "defaultValue": {
                "typeName": "HMI.BorderStyleType",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ToolTip",
            "defaultValue": {
                "typeName": "STRING",
                "value": "",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Flash",
            "defaultValue": {
                "typeName": "BOOL",
                "value": false,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowSize",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ShadowColor",
            "defaultValue": {
                "typeName": "HMI.SolidColorType",
                "value": "#F0F0F0",
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Resource",
            "defaultValue": {
                "typeName": "HMI.ResourceType",
                "value": null,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "BackgroundTile",
            "defaultValue": {
                "typeName": "HMI.TileType",
                "value": 2,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsVisible",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsEnabled",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "TabIndex",
            "defaultValue": {
                "typeName": "DINT",
                "value": 0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "X",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "Y",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "DockStyle",
            "defaultValue": {
                "typeName": "HMI.DockType",
                "value": 3,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HorizontalAlign",
            "defaultValue": {
                "typeName": "HMI.HorizontalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "VerticalAlign",
            "defaultValue": {
                "typeName": "HMI.VerticalAlignType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "_Parametr_1",
            "defaultValue": {
                "typeName": "DATE_AND_TIME",
                "value": 0,
                "connections": [
                    1,
                    2,
                    3
                ],
                "metadata": null
            }
        },
        {
            "role": "_Parametr_2",
            "defaultValue": {
                "typeName": "LREAL",
                "value": 0.0,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "XType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "YType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "ProportionType",
            "defaultValue": {
                "typeName": "ProportionType",
                "value": 4,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "WidthType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "HeightType",
            "defaultValue": {
                "typeName": "SizeType",
                "value": 1,
                "connections": [],
                "metadata": null
            }
        },
        {
            "role": "IsDefault",
            "defaultValue": {
                "typeName": "BOOL",
                "value": true,
                "connections": [],
                "metadata": null
            }
        }
    ],
    "childModels": [
        {
            "typeName": "5955",
            "shortName": "График 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72300",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 260.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 210.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 540.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 0.0,
                    "connections": [],
                    "metadata": null
                },
                "Pens": {
                    "typeName": "HMI.TrendPens",
                    "value": [
                        {
                            "typeName": "HMI.TRENDPEN",
                            "value": {
                                "PenLimits": {
                                    "typeName": "HMI.TrendPenLimits",
                                    "value": [
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "80",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "70",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "30",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "20",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        }
                                    ],
                                    "connections": [],
                                    "metadata": null
                                },
                                "MinY": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "MaxY": {
                                    "typeName": "LREAL",
                                    "value": 100.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Color": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#FF0000",
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineStyle": {
                                    "typeName": "HMI.BorderStyleType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DataSource": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [
                                        4
                                    ],
                                    "metadata": null
                                },
                                "Unit": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "YFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "TickCountY": {
                                    "typeName": "INT",
                                    "value": 5,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Thickness": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DrawConstant": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsVisible": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineJoin": {
                                    "typeName": "HMI.LineJoin",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Autoscale": {
                                    "typeName": "BOOL",
                                    "value": false,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Name": {
                                    "typeName": "STRING",
                                    "value": "Аналоговый вход 1",
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.TRENDPEN",
                            "value": {
                                "PenLimits": {
                                    "typeName": "HMI.TrendPenLimits",
                                    "value": [
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "80",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "70",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "30",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FFA500",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEDF8A",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        },
                                        {
                                            "typeName": "HMI.TRENDPENLIMIT",
                                            "value": {
                                                "DataSource": {
                                                    "typeName": "LREAL",
                                                    "value": "20",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Color": {
                                                    "typeName": "HMI.SolidColorType",
                                                    "value": "#FF0000",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "BackgroundColor": {
                                                    "typeName": "HMI.GradientColorType",
                                                    "value": "#FEB2B2",
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Thickness": {
                                                    "typeName": "LREAL",
                                                    "value": 1.0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "LineStyle": {
                                                    "typeName": "HMI.BorderStyleType",
                                                    "value": 0,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "FillDirection": {
                                                    "typeName": "HMI.FillDirection",
                                                    "value": 1,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "IsVisible": {
                                                    "typeName": "BOOL",
                                                    "value": false,
                                                    "connections": [],
                                                    "metadata": null
                                                },
                                                "Opacity": {
                                                    "typeName": "LREAL",
                                                    "value": 50.0,
                                                    "connections": [],
                                                    "metadata": null
                                                }
                                            },
                                            "connections": [],
                                            "metadata": null
                                        }
                                    ],
                                    "connections": [],
                                    "metadata": null
                                },
                                "MinY": {
                                    "typeName": "LREAL",
                                    "value": 0.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "MaxY": {
                                    "typeName": "LREAL",
                                    "value": 100.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Color": {
                                    "typeName": "HMI.SolidColorType",
                                    "value": "#00FF00",
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineStyle": {
                                    "typeName": "HMI.BorderStyleType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DataSource": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [
                                        5
                                    ],
                                    "metadata": null
                                },
                                "Unit": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "YFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "TickCountY": {
                                    "typeName": "INT",
                                    "value": 5,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Thickness": {
                                    "typeName": "LREAL",
                                    "value": 1.0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "DrawConstant": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "IsVisible": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "LineJoin": {
                                    "typeName": "HMI.LineJoin",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Autoscale": {
                                    "typeName": "BOOL",
                                    "value": false,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Name": {
                                    "typeName": "STRING",
                                    "value": "Заполнение ШИМ 1",
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "Interval": {
                    "typeName": "TIME",
                    "value": 60000,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "8542",
            "shortName": "Интервал 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72418",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 100.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 370.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 480.0,
                    "connections": [],
                    "metadata": null
                },
                "DateTime": {
                    "typeName": "TIME",
                    "value": 0,
                    "connections": [],
                    "metadata": null
                },
                "IsReadonly": {
                    "typeName": "BOOL",
                    "value": false,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "8145",
            "shortName": "Горизонтальный ползунок 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72442",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 220.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 15.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 2,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 460.0,
                    "connections": [],
                    "metadata": null
                },
                "Value": {
                    "typeName": "LREAL",
                    "value": 15.0,
                    "connections": [
                        6,
                        7
                    ],
                    "metadata": null
                },
                "MaxValue": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "8145",
            "shortName": "Горизонтальный ползунок 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72459",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 220.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 15.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 3,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 500.0,
                    "connections": [],
                    "metadata": null
                },
                "Value": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [
                        8,
                        9
                    ],
                    "metadata": null
                },
                "MaxValue": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "8145",
            "shortName": "Горизонтальный ползунок 3",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72476",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 220.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 15.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 4,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 530.0,
                    "connections": [],
                    "metadata": null
                },
                "Value": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [
                        10,
                        11
                    ],
                    "metadata": null
                },
                "MaxValue": {
                    "typeName": "LREAL",
                    "value": 50.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "8145",
            "shortName": "Горизонтальный ползунок 4",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72493",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 420.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 25.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 5,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 330.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 530.0,
                    "connections": [],
                    "metadata": null
                },
                "Value": {
                    "typeName": "LREAL",
                    "value": 5.0,
                    "connections": [
                        12,
                        13
                    ],
                    "metadata": null
                },
                "MaxValue": {
                    "typeName": "LREAL",
                    "value": 12.0,
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "6846",
            "shortName": "Текст 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72510",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 6,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 590.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 490.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [
                        14
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='72510'  tabindex='6'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 6; width: 80px; height: 20px; left: 590px; top: 490px; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        },
        {
            "typeName": "6454",
            "shortName": "Таблица данных 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72525",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 140.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 130.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 7,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 30.0,
                    "connections": [],
                    "metadata": null
                },
                "TableColumns": {
                    "typeName": "HMI.JournalColumns",
                    "value": [
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Столбец",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "LREAL",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [
                                15
                            ],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Столбец",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "Auto",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Столбец",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        },
                        {
                            "typeName": "HMI.JOURNALCOLUMN",
                            "value": {
                                "DisplayName": {
                                    "typeName": "STRING",
                                    "value": "Столбец",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ColumnWidth": {
                                    "typeName": "STRING",
                                    "value": "*",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Field": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "FieldType": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "ValueFormat": {
                                    "typeName": "STRING",
                                    "value": "",
                                    "connections": [],
                                    "metadata": null
                                },
                                "Sort": {
                                    "typeName": "HMI.SortType",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "SortPosition": {
                                    "typeName": "BYTE",
                                    "value": 0,
                                    "connections": [],
                                    "metadata": null
                                },
                                "Visibility": {
                                    "typeName": "BOOL",
                                    "value": true,
                                    "connections": [],
                                    "metadata": null
                                },
                                "HorizontalAlign": {
                                    "typeName": "HMI.HorizontalAlignType",
                                    "value": 1,
                                    "connections": [],
                                    "metadata": null
                                }
                            },
                            "connections": [],
                            "metadata": null
                        }
                    ],
                    "connections": [],
                    "metadata": null
                },
                "PanelDataSource": {
                    "typeName": "LREAL",
                    "value": {},
                    "connections": [
                        16,
                        17,
                        18,
                        19
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "RowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {},
                    "connections": [],
                    "metadata": null
                },
                "SelectedRowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {},
                    "connections": [],
                    "metadata": null
                },
                "HeaderRowStyle": {
                    "typeName": "HMI.RowStyle",
                    "value": {
                        "Height": {
                            "typeName": "STRING",
                            "value": "Auto",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderThickness": {
                            "typeName": "LREAL",
                            "value": 1.0,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BorderColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#808080",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "BackgroundColor": {
                            "typeName": "HMI.GradientColorType",
                            "value": "#F5F0F5",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontName": {
                            "typeName": "STRING",
                            "value": "Tahoma",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontSize": {
                            "typeName": "BYTE",
                            "value": 12,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "TextColor": {
                            "typeName": "HMI.SolidColorType",
                            "value": "#000000",
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontItalic": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontBold": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        },
                        "FontUnderlined": {
                            "typeName": "BOOL",
                            "value": false,
                            "connections": [],
                            "metadata": {
                                "Field": null,
                                "Convertations": null
                            }
                        }
                    },
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": ""
        },
        {
            "typeName": "5234",
            "shortName": "Стековая панель 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72847",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 300.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 200.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 8,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 390.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 200.0,
                    "connections": [],
                    "metadata": null
                },
                "PanelDataSource": {
                    "typeName": "LREAL",
                    "value": {},
                    "connections": [
                        20,
                        21,
                        22
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6846",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "73004",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 60.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 50.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 100.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='73004'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; width: 60px; height: 80px; left: 50px; top: 100px; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Stack' class='panel' data-control-id='72847'  tabindex='8'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 8; width: 300px; height: 200px; left: 390px; top: 200px; ' ></div>"
        },
        {
            "typeName": "5319",
            "shortName": "Панель док 1",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "72882",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 180.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 300.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 9,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 220.0,
                    "connections": [],
                    "metadata": null
                },
                "PanelDataSource": {
                    "typeName": "LREAL",
                    "value": {},
                    "connections": [
                        23,
                        24,
                        25
                    ],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [
                {
                    "typeName": "6846",
                    "shortName": "Текст 1",
                    "parameters": {
                        "Id": {
                            "typeName": "INT",
                            "value": "73019",
                            "connections": [],
                            "metadata": null
                        },
                        "SkinResource": {
                            "typeName": "HMI.ResourceType",
                            "value": "",
                            "connections": [],
                            "metadata": null
                        },
                        "Z": {
                            "typeName": "DINT",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Width": {
                            "typeName": "LREAL",
                            "value": 80.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Height": {
                            "typeName": "LREAL",
                            "value": 20.0,
                            "connections": [],
                            "metadata": null
                        },
                        "TabIndex": {
                            "typeName": "DINT",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "Resource": {
                            "typeName": "HMI.ResourceType",
                            "value": null,
                            "connections": [],
                            "metadata": null
                        },
                        "X": {
                            "typeName": "LREAL",
                            "value": 40.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Y": {
                            "typeName": "LREAL",
                            "value": 120.0,
                            "connections": [],
                            "metadata": null
                        },
                        "Text": {
                            "typeName": "STRING",
                            "value": "Текст",
                            "connections": [],
                            "metadata": null
                        },
                        "XType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "YType": {
                            "typeName": "SizeType",
                            "value": 0,
                            "connections": [],
                            "metadata": null
                        },
                        "WidthType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        },
                        "HeightType": {
                            "typeName": "SizeType",
                            "value": 1,
                            "connections": [],
                            "metadata": null
                        }
                    },
                    "connections": [],
                    "events": [],
                    "triggers": [],
                    "actions": [],
                    "serverVariables": {
                        "getValues": [],
                        "setValues": []
                    },
                    "childModels": [],
                    "serviceParameters": null,
                    "objectId": 0,
                    "serverTaskId": -1,
                    "hasConnections": true,
                    "permissions": {},
                    "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='73019'  tabindex='1'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 1; width: 80px; height: 20px; left: 40px; top: 120px; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
                }
            ],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<div data-control-role='Panel.Dock' class='panel' data-control-id='72882'  tabindex='9'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 9; width: 180px; height: 300px; left: 40px; top: 220px; ' ></div>"
        },
        {
            "typeName": "6846",
            "shortName": "Текст 2",
            "parameters": {
                "Id": {
                    "typeName": "INT",
                    "value": "73034",
                    "connections": [],
                    "metadata": null
                },
                "SkinResource": {
                    "typeName": "HMI.ResourceType",
                    "value": "",
                    "connections": [],
                    "metadata": null
                },
                "Z": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Width": {
                    "typeName": "LREAL",
                    "value": 80.0,
                    "connections": [],
                    "metadata": null
                },
                "Height": {
                    "typeName": "LREAL",
                    "value": 20.0,
                    "connections": [],
                    "metadata": null
                },
                "TabIndex": {
                    "typeName": "DINT",
                    "value": 10,
                    "connections": [],
                    "metadata": null
                },
                "Resource": {
                    "typeName": "HMI.ResourceType",
                    "value": null,
                    "connections": [],
                    "metadata": null
                },
                "X": {
                    "typeName": "LREAL",
                    "value": 40.0,
                    "connections": [],
                    "metadata": null
                },
                "Y": {
                    "typeName": "LREAL",
                    "value": 120.0,
                    "connections": [],
                    "metadata": null
                },
                "Text": {
                    "typeName": "STRING",
                    "value": "Текст",
                    "connections": [],
                    "metadata": null
                },
                "XType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "YType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "WidthType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                },
                "HeightType": {
                    "typeName": "SizeType",
                    "value": 1,
                    "connections": [],
                    "metadata": null
                }
            },
            "connections": [],
            "events": [],
            "triggers": [],
            "actions": [],
            "serverVariables": {
                "getValues": [],
                "setValues": []
            },
            "childModels": [],
            "serviceParameters": null,
            "objectId": 0,
            "serverTaskId": -1,
            "hasConnections": true,
            "permissions": {},
            "cssClass": "<label data-control-role='TextOutput'  class='label'  data-control-id='73034'  tabindex='10'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 10; width: 80px; height: 20px; left: 40px; top: 120px; ' ><div class='text-js' style = 'display:table-cell; vertical-align:middle; '>Текст</div></label>"
        }
    ],
    "view": "",
    "events": [],
    "actions": [],
    "connections": [
        {
            "source": {
                "path": "/",
                "propertyPath": "_Parametr_1",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "72418",
                "propertyPath": "DateTime",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "/",
                "propertyPath": "_Parametr_1",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "72300",
                "propertyPath": "Interval",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72418",
                "propertyPath": "DateTime",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "/",
                "propertyPath": "_Parametr_1",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72125",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72300",
                "propertyPath": "Pens[0].DataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72126",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72300",
                "propertyPath": "Pens[1].DataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72442",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72439",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72439",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72442",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72459",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72440",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72440",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72459",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72476",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72441",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72441",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72476",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72493",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72438",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72438",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72493",
                "propertyPath": "Value",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72438",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72510",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72125",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72525",
                "propertyPath": "TableColumns[0]",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72525",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "target": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72125",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72525",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "73034",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72125",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72525",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72438",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72525",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72847",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "/72847/73004",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72125",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72847",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72439",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72847",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "path": "72882",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "target": {
                "path": "/72882/73019",
                "propertyPath": "Text",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72125",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72882",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        },
        {
            "source": {
                "dataSource": "MPLCDataSource",
                "path": "/",
                "itemId": "72439",
                "propertyPath": "",
                "context": "/",
                "type": "server"
            },
            "target": {
                "path": "72882",
                "propertyPath": "PanelDataSource",
                "context": "/",
                "type": "client"
            },
            "operation": "move",
            "convertations": [],
            "oneTime": false
        }
    ],
    "triggers": [],
    "serverVariables": {
        "getValues": [
            {
                "taskId": 0,
                "itemId": 72125,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72126,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72439,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72440,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72441,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72438,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            }
        ],
        "setValues": [
            {
                "taskId": 0,
                "itemId": 72125,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72439,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72440,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72441,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            },
            {
                "taskId": 0,
                "itemId": 72438,
                "path": "",
                "operation": "move",
                "type": "LREAL",
                "typeHash": 1,
                "dataSourceId": "MPLCDataSource"
            }
        ]
    },
    "resources": [],
    "serviceParameters": {
        "hasFBConnections": false
    },
    "permissions": {},
    "objectId": 72118,
    "serverTaskId": -1,
    "hasConnections": true,
    "shortName": "Окно 1",
    "cssClass": "<div data-control-role='' data-control-id='72128'  tabindex='0'  style='position: absolute; overflow: hidden; background-size:100% 100%; z-index: 0; width: 800px; height: 600px; background-color:#F5F0F5;background-size: 100% 100%;left: 0px; top: 0px; border: 1px solid #808080;' ></div>"
};
var type = new ControlType(settings);
return type;
});